Kernel module atl1c missing from installer image

Bug #557130 reported by Alex on 2010-04-07
70
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Lucid
Undecided
Tim Gardner
Maverick
High
Tim Gardner

Bug Description

Binary package hint: debian-installer

Owing to the missing module, the installer is unable to detect the on-board network adapter.

Motherboard is MSI G31M-ES2L

02:00.0 Ethernet controller: Atheros Communications AR8131 Gigabit Ethernet (rev c0)
        Subsystem: Giga-byte Technology Device e000
        Flags: bus master, fast devsel, latency 0, IRQ 27
        Memory at fdec0000 (64-bit, non-prefetchable) [size=256K]
        I/O ports at bf00 [size=128]
        Capabilities: <access denied>
        Kernel driver in use: atl1c
        Kernel modules: atl1c

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: debian-installer (not installed)
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic x86_64
Architecture: amd64
Date: Wed Apr 7 09:38:21 2010
InstallationMedia: Error: [Errno 13] Permission denied: '/var/log/installer/media-info'
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: debian-installer

Alex (alex-ap-consulting) wrote :

Installation was performed using the alternate CD downloaded from
http://cdimage.ubuntu.com/kubuntu/daily/current/ around the beginning of the month.

tags: added: pcert
Changed in debian-installer (Ubuntu):
status: New → Confirmed

Confirming: I'm hitting the same issue with a system in certification, using the ubuntu-studio daily image 20100406.1. Will re-run test with the alternate image 20100406 and provide additional data shortly.

lspci -vnvn shows the Attansic AR8132 / L1C device, and no loaded module.

The list of network device driivers provided with the initrd image available on the image.

Colin Watson (cjwatson) wrote :

The kernel needs to deliver this in the nic-modules udeb.

affects: debian-installer (Ubuntu) → linux (Ubuntu)
Ameet Paranjape (ameetp) on 2010-04-21
Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Tim Gardner (timg-tpi) on 2010-04-28
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Tim Gardner (timg-tpi)
milestone: none → lucid-updates
status: Confirmed → In Progress
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: Systems based on atl1c cannot net boot

Patch Description: Add atl1c to the nic-modules definition for udebs

Patch: attached

This bug is a duplicate of bug #431307, first reported on 2009-09-17 and still open; it renders the distro uninstallable on many popular systems, is relatively easy to fix, yet it still was not fixed in the final lucid release, 7.5 months later... come on guys, this is frustrating.

At any rate, there is a work-around: copy atl1c.ko from the lucid desktop ISO to your alternate installation media, or somewhere else that can be made accessible to the machine being installed.

Roughly,

mkdir /tmp/mount-1
mkdir /tmp/mount-2
sudo mount -t iso9660 -o ro,loop /your/path/to/ubuntu-10.04-desktop-amd64.iso /tmp/mount-1
sudo mount -t squashfs -o ro,loop /tmp/mount-1/casper/filesystem.squashfs /tmp/mount-2
cp -p /tmp/mount-2/lib/modules/2.6.32-21-generic/kernel/drivers/net/atl1c/atl1c.ko /your/path/to/mounted/alternate-install-media/
sudo umount /tmp/mount-2
sudo umount /tmp/mount-1
rmdir /tmp/mount-2
rmdir /tmp/mount-1

Then, when installing, switch to a different virtual-terminal (e.g. "Alt-F2"), and:
insmod /cdrom/atl1c.ko

...then proceed with installation.

Tim Gardner (timg-tpi) on 2010-05-06
Changed in linux (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Changed in linux (Ubuntu Maverick):
milestone: lucid-updates → maverick-alpha-1
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.34-1.6

---------------
linux (2.6.34-1.6) maverick; urgency=low

  [ Chase Douglas ]

  * enforce CONFIG_TMPFS_POSIX_ACL=y
    - LP: #575940
  * don't force module dependency checking
    - LP: #577029

  [ Kees Cook ]

  * SAUCE: mmap_min_addr check CAP_SYS_RAWIO only for write
    - LP: #568844

  [ Leann Ogasawara ]

  * Revert "SAUCE: ata: blacklist FUJITSU MHW2160BH PL"
  * rebase to v2.6.34-rc7
  * [Config] update configs following rebase to v2.6.34-rc7
  * [Config] update port configs following rebase to v2.6.34-rc7
  * Add btrfs to the udebs

  [ Tim Gardner ]

  * [Config] Add atl1c to nic-modules udeb
    - LP: #557130

  [ Upstream changes ]

  * rebased to v2.6.34-rc7

linux (2.6.34-1.5) UNRELEASED; urgency=low

  [ Leann Ogasawara ]

  * rebase to v2.6.34-rc6
  * [Config] update configs following rebase to v2.6.34-rc6
  * [Config] update port configs following rebase to v2.6.34-rc6

  [ Upstream changes ]

  * rebased to v2.6.34-rc6

linux (2.6.34-1.4) UNRELEASED; urgency=low

  [ Leann Ogasawara ]

  * rebase to v2.6.34-rc5
  * [Config] update ports configs following rebase to v2.6.34-rc5

  [ Upstream changes ]

  * rebased to v2.6.34-rc5

linux (2.6.34-1.3) UNRELEASED; urgency=low

  [ Leann Ogasawara ]

  * rebase to v2.6.34-rc4
  * [Config] update configs following rebase to v2.6.34-rc4
  * [Config] update port configs following rebase to v2.6.34-rc4
  * ubuntu: dm-raid4-5 -- update to compile with 2.6.34-rc4

  [ Upstream changes ]

  * rebased to v2.6.34-rc4

linux (2.6.34-1.2) UNRELEASED; urgency=low

  [ Leann Ogasawara ]

  * Temorarily disable building linux-doc
  * rebase to v2.6.34-rc3
  * [Config] update configs following rebase to v2.6.34-rc3
  * [Config] update port configs following rebase to v2.6.34-rc3

  [ Upstream changes ]

  * rebased to v2.6.34-rc3

linux (2.6.34-1.1) UNRELEASED; urgency=low

  [ Leann Ogasawara ]

  * rebase to v2.6.34-rc2
  * ubuntu: dm-raid4-5 -- update to compile with 2.6.34-rc2
  * [Config] update port configs following rebase to v2.6.34-rc2
  * [Config] update configs following rebase to v2.6.34-rc2

  [ Upstream changes ]

  * rebased to v2.6.34-rc2

linux (2.6.33-1.1) UNRELEASED; urgency=low

  [ Leann Ogasawara ]

  * ubuntu: dm-raid4-5 -- update to compile with 2.6.33
  * ubuntu: lirc -- drop explicit include of linux/autoconf.h
  * ubuntu: lirc -- pass kfifo to kfifo_alloc and move spinlock
  * ubuntu: lirc -- rename kfifo_put and kfifo_get
  * ubuntu: iscsitarget -- rename daddr inet_sock field
  * rebased to v2.6.33
  * [Config] update configs following rebase to v2.6.33
  * [Config] update ports configs following rebase to v2.6.33

  [ Upstream changes ]

  * rebased to v2.6.33
 -- Leann Ogasawara <email address hidden> Tue, 11 May 2010 11:29:08 +0200

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (25.2 KiB)

This bug was fixed in the package linux - 2.6.32-23.37

---------------
linux (2.6.32-23.37) lucid-proposed; urgency=low

  [ Alex Deucher ]

  * SAUCE: drm/radeon/kms/atom: fix dual-link DVI on DCE3.2/4.0
    - LP: #564559

  [ Andy Whitcroft ]

  * [Config] ports -- build in dm-mod to enable LVM boot
    - LP: #560717
  * tools -- fix perf version extraction for multi-part flavours
    - LP: #555130
  * SAUCE: ACPI: EC: Allow multibyte access to EC (v3)
    - LP: #526354
  * [Config] enforce -- ensure dm_mod is built-in for LVM
    - LP: #560717
  * update to ubuntu-debian:7e708d33054c373faf41da23b73e8b48c342d958
    - LP: #570500, #576274

  [ Chase Douglas ]

  * Revert "(pre-stable): input: ALPS - Add signature for HP Pavilion dm3
    laptops"
    - LP: #550625
  * Enable ftrace function profiler
    - LP: #570389
  * enforce CONFIG_TMPFS_POSIX_ACL=y
    - LP: #575940

  [ Leann Ogasawara ]

  * Revert "staging/comdi -- disable"
    - LP: #563436
  * [Config] Enable multicast routing for sparc
    - LP: #416266
  * [Config] Add ahci.ko to virtual sub-flavour
    - LP: #570542

  [ Stefan Bader ]

  * Revert "SAUCE: drm/i915: Disable FBC on 915GM and 945GM"
    - LP: #588832

  [ Tim Gardner ]

  * ubuntu: rtl8192se -- update to version 0015.0127.2010
    - LP: #567016
  * [Config] Add atl1c to nic-modules udeb
    - LP: #557130

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) iwlwifi: fix nfreed--"
    - LP: #575853
  * Revert "backlight: mbp_nvidia_bl - add five more MacBook variants"
    - LP: #575853
  * Revert "(pre-stable) pata_via: Add VIA VX900 support"
    - LP: #575853
  * Revert "(pre-stable) x86-32, resume: do a global tlb flush in S4
    resume"
    - LP: #575853
  * Revert "x86: disable IOMMUs on kernel crash"
    - LP: #575853
  * Revert "sunrpc: fix peername failed on closed listener"
    - LP: #575853
  * Revert "sunrpc: move the close processing after do recvfrom method"
    - LP: #575853
  * Revert "(pre-stable) drm/edid: allow certain bogus edids to hit a fixup
    path rather than fail"
    - LP: #575853
  * Revert "drm/radeon/kms: don't print error on -ERESTARTSYS."
    - LP: #575853
  * Revert "ath9k: fix lockdep warning when unloading module" on stable
    kernels
    - LP: #588832
  * Staging: comedi: removed "depricated" from COMEDI_CB_BLOCK
    - LP: #483343
  * fat: fix buffer overflow in vfat_create_shortname()
    - LP: #575853
  * xfs: simplify inode teardown
    - LP: #575853
  * xfs: fix mmap_sem/iolock inversion in xfs_free_eofblocks
    - LP: #575853
  * xfs: I/O completion handlers must use NOFS allocations
    - LP: #575853
  * xfs: Wrapped journal record corruption on read at recovery
    - LP: #575853
  * xfs: Fix error return for fallocate() on XFS
    - LP: #575853
  * xfs: check for not fully initialized inodes in xfs_ireclaim
    - LP: #575853
  * xfs: fix timestamp handling in xfs_setattr
    - LP: #575853
  * xfs: Don't flush stale inodes
    - LP: #575853
  * xfs: Ensure we force all busy extents in range to disk
    - LP: #575853
  * xfs: reclaim inodes under a write lock
    - LP: #575853
  * xfs: Avoid inodes in reclaim when flushing from inode cache
    - LP: #575853
  * xfs: recla...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers